SDL_NS_TO_US(3)

NAME
SDL_NS_TO_US - Convert nanoseconds to microseconds.

HEADER FILE
Defined in SDL3/SDL_timer.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_NS_TO_US(NS)        ((NS) / SDL_NS_PER_US)

DESCRIPTION
This performs a division, so the results can be dramatically different if NS is an integer or floating point value.

RETURN VALUE
Returns NS, expressed in microseconds.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.